MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022589Community[OCCT] OCCT:Modeling Algorithmspublic2011-06-10 14:212012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022589: Fix uninitialized memory access issues
DescriptionRLN contribution (RLN_fix400)
- Summary: Fix uninitialized memory access issues
- Detailed description: The code compiled on Linux with gcc4.4.1 in release mode
produced hang on GeomPlate algo while
                        worked in debug mode. Analysis with Intel Parallel
Inspector revealed several uninitialized memory
                        access problems. This fix addresses them
        - IntRes2d_Transition, _Domain; Intf_SectionPoint;
Adapto3d_CurveOnSurface; Bnd_Box2d - initialization of all fields
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0017653)
kgv (developer)
2011-06-16 17:19

SVN branch http://svn/svn/occt/branches/OCC22589_Advapp2varUninitializedData [^]
for this BUG reviewed.
It seems patch doesn't fit the description - only "AdvApp2Var_Patch.cxx" was
changed. Please check that all changed files were added to this branch.
Otherwise patch looks fine (without remarks).
(0018220)
szy (administrator)
2011-09-20 15:18

RLN comment:
 fix400 was partially integrated (Bnd, Intf, IntRes2d) or not required (e.g. Adaptor3d - as gp classes are now explicitly initialized).
It may be the reason why other files are not presented.
(0018226)
mkv (tester)
2011-09-20 17:12

Dear BugMaster,
Workbench KAS:dev:mkv-OCC22589-occt has been created from SVN branch http://svn/svn/occt/branches/OCC22589_Advapp2varUninitializedData [^]
(and mkv-OCC22589-products from trunk) and compiled on Linux platform.

There is extraction error on Linux in following unit:

...
=====> QMesh:xcpp.fill
...
Error : the method QMesh_Discret::Perform() cannot have the keyword 'mutable' but 'out' because it does not comes from a Persistent or a Transient class.
Error : Check of QMesh has failed
Error : Failed during execution
Info : Step xcpp.fill
Error : Step xcpp.fill failed
Error : Step xcpp.src not done : almost QMesh:xcpp.fill failed
Error : Step xcpp.header not done : almost QMesh:xcpp.fill failed
Error : Step xcpp.template not done : almost QMesh:xcpp.fill failed

=====> QMesh:obj.cgen

Info : Step obj.cgen is up to date
Error : Step obj.inc not done : almost QMesh:xcpp.src failed
...
Error : Step obj.comp not done : almost QMesh:xcpp.src failed
Error : Step obj.idep not done : almost QMesh:obj.comp failed
Error : Could not find precedence step : WOKNT:obj.comp
Info : ------------------ Process report ------------------
...
Info : Failed QMesh (xcpp.fill xcpp.src xcpp.header xcpp.template obj.inc obj.comp obj.idep )
...
Info : ----------------------------------------------------
(0018231)
kgv (developer)
2011-09-21 09:43

2mkv, please rebase bug branch(es) from TRUNK before testing!
The bug branch wasn't updated since jule and surely it may be async from products TRUNK.

Branch was rebased and this 4-lines patch is ready for tests.
(0018299)
mkv (tester)
2011-09-30 14:37
edited on: 2011-11-22 17:42

Dear BugMaster,
SVN branch http://svn/svn/occt/branches/OCC22589_Advapp2varUninitializedData [^] was merged with trunk.
Workbench KAS:dev:mkv-OCC22589-occt was updated from SVN branch http://svn/svn/occt/branches/OCC22589_Advapp2varUninitializedData [^]
(and mkv-OCC22589-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-OCC22589-products regarding to KAS:dev:products-652-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-OCC21977-products_27092011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-652-opt_23092011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0018302)
bugmaster (administrator)
2011-09-30 16:46

Integrated into trunk of occt repository

Date: 2011-09-30 16:45:18 +0400 (Fri, 30 Sep 2011)
New Revision: 9147

Modified:
   trunk/src/AdvApp2Var/AdvApp2Var_Patch.cxx

- Related Changesets
occt: master 7c97b4a3
Timestamp: 2011-09-30 12:45:18
Author: KGV and SZY
Committer: bugmaster
Details ] Diff ]
0022589: Fix uninitialized memory access issues
mod - src/AdvApp2Var/AdvApp2Var_Patch.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-09-13 09:55 abv Assigned To bugmaster => szy
2011-09-13 09:55 abv Status acknowledged => feedback
2011-09-20 15:18 szy Note Added: 0018220
2011-09-20 15:18 szy Status feedback => assigned
2011-09-20 15:18 szy Status assigned => reviewed
2011-09-20 17:12 mkv Note Added: 0018226
2011-09-20 17:13 mkv Status reviewed => assigned
2011-09-20 17:13 mkv Fixed in Version EMPTY =>
2011-09-20 17:13 mkv Description Updated View Revisions
2011-09-20 17:21 szy Target Version => 6.5.2
2011-09-21 09:43 kgv Note Added: 0018231
2011-09-21 09:43 kgv Assigned To szy => mkv
2011-09-21 09:43 kgv Status assigned => reviewed
2011-09-21 11:42 bugmaster Target Version 6.5.2 => 6.5.3
2011-09-30 14:37 mkv Note Added: 0018299
2011-09-30 14:37 mkv Test case number => Test case is not required
2011-09-30 14:37 mkv Status reviewed => tested
2011-09-30 16:06 bugmaster Target Version 6.5.3 => 6.5.2
2011-09-30 16:46 bugmaster Note Added: 0018302
2011-09-30 16:46 bugmaster Status tested => verified
2011-11-22 17:42 szy Note Edited: 0018299 View Revisions
2011-11-25 12:19 szy Description Updated View Revisions
2011-12-08 17:36 szy Resolution suspended => fixed
2012-01-18 07:12 abv Assigned To mkv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 7c97b4a3


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker